#!/usr/bin/python3

from twitter.twitter_utils import parse_media_file
from twitter import Api

def archive_media_status(media_object):
    try:
        temp_media_file, filename, size, media_type = parse_media_file(media_object.media_url)
        with open(f'data/{filename}', 'bw+') as archive_file:
            archive_file.writelines(temp_media_file.readlines())
        archive_file.close()
        temp_media_file.close()
    except Exception as e:
        print(e)
        exit(1)

def twitter_archive_stream(twitter_api, authenticated_user):
    tweet_stream = twitter_api.GetUserStream(replies='none', withuser='user')
    # try:
    #     status_media_list = tweet_stream.status.media
    #     for media_file in status_media_list:
    #         archive_media_status(media_file)
    # except Exception as e:
    #     print(e)